org.apache.felix.ipojo.manipulator.util

## Class Classpath

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.util.Classpath

All Implemented Interfaces:
  Iterable<String>

    public class Classpath
    extends Object
    implements Iterable<String>

An ordered list of classpath elements with set behaviour. A Classpath is immutable and thread safe. This class let retrieve an isolated classloader to load classes from a set of jars.

### Constructor Summary

Constructors
Constructor and Description
`Classpath(Classpath other, String additionalElement)`
`Classpath(Iterable<String> paths)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Classpath` `addClassPathElementUrl(String path)`
`ClassLoader` `createClassLoader()`
`ClassLoader` `createClassLoader(ClassLoader parent, boolean childDelegation)`
`static Classpath` `emptyClasspath()`
`boolean` `equals(Object o)`
`List<URL>` `getAsUrlList()`
`List<String>` `getClassPath()`
`String` `getCompactLogMessage(String descriptor)`
`String` `getLogMessage(String descriptor)`
`int` `hashCode()`
`Iterator<String>` `iterator()`
`static Classpath` `join(Classpath firstClasspath, Classpath secondClasspath)`
`void` `writeToSystemProperty(String propertyName)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Classpath

    public Classpath(Classpath other,
                     String additionalElement)

#### Classpath

    public Classpath(Iterable<String> paths)

### Method Detail

#### join

    public static Classpath join(Classpath firstClasspath,
                                 Classpath secondClasspath)

#### emptyClasspath

    public static Classpath emptyClasspath()

#### addClassPathElementUrl

    public Classpath addClassPathElementUrl(String path)

#### getClassPath

    public List<String> getClassPath()

#### getAsUrlList

    public List<URL> getAsUrlList()
                           throws MalformedURLException

Throws:
  `MalformedURLException`

#### writeToSystemProperty

    public void writeToSystemProperty(String propertyName)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### createClassLoader

    public ClassLoader createClassLoader(ClassLoader parent,
                                         boolean childDelegation)
                                  throws RuntimeException

Throws:
  `RuntimeException`

#### createClassLoader

    public ClassLoader createClassLoader()
                                  throws RuntimeException

Throws:
  `RuntimeException`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getLogMessage

    public String getLogMessage(String descriptor)

#### getCompactLogMessage

    public String getCompactLogMessage(String descriptor)

#### iterator

    public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`